Tünetek

Amikor megpróbálja telepíteni a Microsoft .NET Framework 4,7 programot egy olyan számítógépre, amelyen a Windows 7 Service Pack 1 (SP1), a Windows Server 2008 R2 SP1 vagy a Windows Server 2012 fut, a telepítés blokkolva van, és nem folytatható.

.netFramework

A probléma akkor jelentkezik, ha a számítógépen nincs telepítve a D3DComplier (D3DCompiler_47.dll) frissítés.

A probléma oka

A .NET Framework 4,7 a Windows 7 SP1-en, Windows Server 2008 R2 SP1-en és a Windows Server 2012-n új függőséggel rendelkezik egy %windir%\system32\d3dcompiler_47.dll WPF fájltól. Ezt a fájlt telepíteni kell a .NET Framework 4.7 termék telepítése előtt.

Kerülő megoldás

Kerülő megoldásként, telepítsea d3dcompiler frissítést a következő linkekről, mielőtt a .NET Framework 4.7-et telepítené A frissítés elérhető még a Microsoft Update Katalógusban és a Windows Update-en keresztül.

  • A Windows 7 SP1 x86-ra, használja ezt a linket.

  • A Windows 7 SP1 vagy Windows Server 2008 R2 x64-re, használja ezt a linket.

  • A Windows Server 2012 x64-re, használja ezt a linket.

Állapot

A Microsoft megerősítette, hogy a cikkben tárgyalt jelenség a "Vonatkozik" részben felsorolt Microsoft termékek hibájára vezethető vissza.

További segítségre van szüksége?

Ismeretek bővítése
Oktatóanyagok megismerése
Új szolgáltatások listájának lekérése
Csatlakozás a Microsoft Insiderek

Hasznos volt az információ?

Mennyire elégedett a fordítás minőségével?
Mi befolyásolta a felhasználói élményét?

Köszönjük a visszajelzését!

×